header {
    background: linear-gradient(90deg, #008000, #005700);
    padding: 40px;
    text-align: center;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.6);
    position: relative;
    z-index: 10;
}

article h2 {
    font-size: 1.8rem;
    color: #289F28;
}

button#theme-switcher {
    background-color: #008000;
    color: #ffffff;
    border: none;
    padding: 12px 24px;
    cursor: pointer;
    border-radius: 30px;
    font-size: 1rem;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

button#theme-switcher:hover {
    background-color: #307e30;
    box-shadow: 0px 4px 10px rgba(114, 255, 71, 0.5);
}

footer {
    background-color: #1a1a1a;
    color: #ffffff;
    text-align: center;
    padding: 20px;
    border-top: 1px solid #008000;
    margin-top: auto;
}

nav ul li a:hover {
    color: #8a9e8a;
    transform: scale(1.1);
}

a {
    color: #008000;
}

a:hover {
    color: #349634;
}

article a {
    color: #008000;
}

article a:hover {
    color: #349634;
}

#search-filter:hover {
    background-color: #333333;
    border-color: #248124;
}

body.light-theme #search-filter:hover {
    background-color: #e6e6e6;
    border-color: #248124;
}

body.light-theme {
    background-color: #ffffff; /* Colore di sfondo per il tema chiaro */
    color: #333333; /* Colore del testo per il tema chiaro */
}

body.light-theme header {
    background-color: #008000; /* Colore di sfondo del header per il tema chiaro */
}

body.light-theme button#theme-switcher {
    background-color: #008000; /* Colore del pulsante nel tema chiaro */
    color: #ffffff; /* Colore del testo del pulsante nel tema chiaro */
}

body.light-theme button#theme-switcher:hover {
    background-color: #307e30; /* Colore al passaggio del mouse nel tema chiaro */
    color: #ffffff; /* Colore del testo del pulsante al passaggio del mouse nel tema chiaro */
}

body.light-theme article p {
    color: #000000; /* Colore del testo degli articoli nel tema chiaro */
}

body.light-theme article {
    background-color: #f4f4f4; /* Colore di sfondo degli articoli nel tema chiaro */
    color: #333333; /* Colore del testo degli articoli nel tema chiaro */
}

body.light-theme article h2 {
    color: #008000; /* Colore del titolo degli articoli nel tema chiaro */
}

body.light-theme article a {
    color: #008000; /* Colore dei link negli articoli nel tema chiaro */
}

body.light-theme article a:hover {
    color: #349634; /* Colore al passaggio del mouse sui link degli articoli nel tema chiaro */
}

body.light-theme aside {
    background-color: #d9d9d9; /* Colore della sidebar nel tema chiaro */
}

body.light-theme footer {
    background-color: #ffffff; /* Colore di sfondo del footer nel tema chiaro */
    color: #333333; /* Colore del testo del footer nel tema chiaro */
}

body.light-theme p {
    color: #000000;
}

body.light-theme #search-filter {
    border: 1px solid rgb(165, 165, 165);
    background-color: #ffffff;
    color: #333333;
}